
/* -*- mode: C++; c-basic-offset: 4; tab-width: 4; indent-tabs-mode: t -*- */

// openpluginlib - An plugin interface to openlibraries.

// Copyright (C) 2005-2006 Editopia Inc.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#pragma once

// std
#include <string>
#include <vector>
#include <list>

namespace olib { namespace openpluginlib {

	typedef std::wstring wstring;
	typedef std::string  string;

	typedef std::list<string> string_list;
	typedef std::list<wstring> wstring_list;
	
	typedef std::vector<string> string_vec;
	typedef std::vector<wstring> wstring_vec;

} }

